Summary: cern-config-keytab wraps the kas extraction routines to acquire keytabs and place them in the file specified. Whether keys for both CERN domains will be acquired depends on the presence of the cern-kerberos-migration rpm.
Name:  cern-config-keytab
Version: 1
Release: 39.cern
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: John Hefferman  <John.Hefferman@cern.ch>
Vendor: CERN, http://cern.ch/linux
Group: Networking/misc
BuildArch: noarch

Requires: arc >= 44-38
# to satisfy ncm-srvtab
Provides: /usr/bin/cern-config-srvtab
Provides: /usr/bin/cern-config-keytab

Source0: %{name}-%{version}.tgz

%description

please provide desscription

%prep

%setup


%install

# Build install tree
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m 0555 cern-config-keytab $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/cern-config-keytab cern-config-srvtab

%clean
echo "Cleaning $RPM_BUILD_ROOT"
[ "$RPM_BUILD_ROOT" != "/" -a "x%{debugspec}" != "x1" ] && \
	rm -fr $RPM_BUILD_ROOT


%files
%defattr(0555,root,root)
%{_bindir}/cern-config-srvtab
%{_bindir}/cern-config-keytab

%changelog
* Fri Oct  8 2010 John Hefferman <john.hefferman@cern.ch> - 1.39
- cern-config-keytab changed to perform a 'round robin' on available domain controllers for keytab extraction and verification
* Fri Oct  8 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.38
- cern-config-keytab now has it's own package
